"use client";
import { useRef as u } from "react";
import { uniqueId as i } from "./DataUtils.js";
function o(r) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "animation-", n = u(i(e)), t = u(r);
  return t.current !== r && (n.current = i(e), t.current = r), n.current;
}
export {
  o as useAnimationId
};
